無法點子安裝adafruit-circuitpython-mlx90640


1

我正在嘗試安裝adafruit-circuitpython-mlx90640,這是MLX90640熱像儀的庫。當我運行sudo pip install adafruit-circuitpython-mlx90640時,出現一個錯誤no matching distribution is found for Adafruit-Blinka。所以我嘗試到pip install Adafruit-Blinka並得到相同的錯誤:no matching distribution is found for Adafruit-Blinka。關於如何使其正常運作的任何想法?

我嘗試過的另一件事:我的樹莓派的默認版本是3.4。我已經安裝了Berryconda,它是RPi的Anaconda版本。在Berryconda中,Python版本是3.6,並且pip(不是pip3)可以使用它。Pip3安裝了Adafruit-Blinka,但它進入了python 3.4。我希望將其安裝到Python 3.6中。我認為如果將Pip3指向Python的Berryconda版本,我的問題將得到解決(但不確定)。

1

As ben_nuttall says, you must use pip3. Circuitpython is Python 3 only!

sudo pip3 install adafruit-circuitpython-mlx90640